## ETableSearch

ETableSearch

## Synopsis

    enum                ETableSearchFlags;
    struct              ETableSearch;
    ETableSearch *      e_table_search_new                  (void);
    void                e_table_search_input_character      (ETableSearch *e_table_search,
                                                             gunichar character);
    gboolean            e_table_search_backspace            (ETableSearch *e_table_search);
    void                e_table_search_cancel               (ETableSearch *e_table_search);

## Object Hierarchy

      GObject
       +----ETableSearch

## Signals

      "accept"                                         : Run Last
      "search"                                         : Run Last

## Description

## Details

### enum ETableSearchFlags

    typedef enum {
    	E_TABLE_SEARCH_FLAGS_CHECK_CURSOR_FIRST = 1 << 0
    } ETableSearchFlags;

### struct ETableSearch

    struct ETableSearch;

### e_table_search_new ()

    ETableSearch *      e_table_search_new                  (void);

### e_table_search_input_character ()

    void                e_table_search_input_character      (ETableSearch *e_table_search,
                                                             gunichar character);

### e_table_search_backspace ()

    gboolean            e_table_search_backspace            (ETableSearch *e_table_search);

### e_table_search_cancel ()

    void                e_table_search_cancel               (ETableSearch *e_table_search);

## Signal Details

### The `"accept"` signal

    void                user_function                      (ETableSearch *etablesearch,
                                                            gpointer      user_data)         : Run Last

### The `"search"` signal

    gboolean            user_function                      (ETableSearch *etablesearch,
                                                            gchar        *arg1,
                                                            gint          arg2,
                                                            gpointer      user_data)         : Run Last